# Git snapshot 4e55c2bef50898eb4a6485ce068379b166121895

Summary:	A powerful batch renamer for KDE
Name:		krename
Version:	5.0.0
%define subrel	1
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		http://www.krename.net/
Source0:	https://download.kde.org/stable/krename/%{version}/src/%{name}-%{version}.tar.xz
Patch0:		krename-5.0.0-mga-desktop-file.patch
# Upstream patches
# https://bugs.kde.org/show_bug.cgi?id=395084 (mga#21893)
Patch0001:	0001-Close-the-app-if-the-progress-dialog-is-closed.patch
BuildRequires:	kf5-macros
BuildRequires:	cmake(KF5Completion)
BuildRequires:	cmake(KF5Config)
BuildRequires:	cmake(KF5CoreAddons)
BuildRequires:	cmake(KF5Crash)
BuildRequires:	cmake(KF5I18n)
BuildRequires:	cmake(KF5IconThemes)
BuildRequires:	cmake(KF5ItemViews)
BuildRequires:	cmake(KF5JobWidgets)
BuildRequires:	cmake(KF5JS)
BuildRequires:	cmake(KF5KIO)
BuildRequires:	cmake(KF5Service)
BuildRequires:	cmake(KF5WidgetsAddons)
BuildRequires:	cmake(KF5XmlGui)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libpodofo-0)

%description
KRename is a powerful batch renamer for KDE. It allows you to easily
rename hundreds or even more files in one go. The filenames can be
created by parts of the original filename, numbering the files or
accessing hundreds of informations about the file, like creation
date or Exif informations of an image.

%files -f %{name}.lang
%doc AUTHORS README.md
%{_kf5_bindir}/%{name}
%{_kf5_services}/ServiceMenus/*.desktop
%{_kf5_applicationsdir}/*.desktop
%{_kf5_appdatadir}/org.kde.%{name}.appdata.xml
%{_kf5_iconsdir}/*/*/apps/*.png

#-------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake_kf5
%make_build

%install
%make_install -C build

%find_lang %{name}


%changelog
* Mon May 06 2019 daviddavid <daviddavid> 5.0.0-1.1.mga6
+ Revision: 1396519
- backport upstream patch to close the app if the progress dialog is closed (mga#21893)
- new version: 5.0.0 (official Kf5 based release)

* Sun Jul 02 2017 akien <akien> 4.0.9-10.mga6
+ Revision: 1108957
- Rebuild for podofo 0.9.6~svn

* Tue Jun 20 2017 neoclust <neoclust> 4.0.9-9.mga6
+ Revision: 1108005
- Rebuild against new exiv2

* Sun Jan 15 2017 daviddavid <daviddavid> 4.0.9-8.mga6
+ Revision: 1081926
- update to latest git snapshot based on Kf5/Qt5 (2016-12-28)
- port to Kf5/Qt5

* Mon Feb 15 2016 umeabot <umeabot> 4.0.9-7.mga6
+ Revision: 960871
- Mageia 6 Mass Rebuild
+ alexl <alexl>
- update desktop file
- shorter description

* Wed Oct 15 2014 umeabot <umeabot> 4.0.9-6.mga6
+ Revision: 743051
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.9-5.mga5
+ Revision: 681196
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 dams <dams> 4.0.9-4.mga5
+ Revision: 589063
- rebuild for new exiv2

* Fri Oct 18 2013 umeabot <umeabot> 4.0.9-3.mga4
+ Revision: 521205
- Mageia 4 Mass Rebuild

* Sat Jan 19 2013 fwang <fwang> 4.0.9-2.mga3
+ Revision: 389590
- add freetype include dir
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 juancho <juancho> 4.0.9-1.mga3
+ Revision: 195884
- Updated to 4.0.9
- Removed unneeded buildroot stuff on %%install and %%clean, including %%clean section.
- Removed unneeded defattr on %%files

* Sun Oct 09 2011 fwang <fwang> 4.0.7-2.mga2
+ Revision: 153442
- rebuild for new exiv2

* Wed Apr 20 2011 mikala <mikala> 4.0.7-1.mga1
+ Revision: 89196
- Update tarball to 4.0.7
- Remove BuildRoot tag
- Change spec layout
- imported package krename


* Sun Jan 30 2011 Funda Wang <fwang@mandriva.org> 4.0.6-1mdv2011.0
+ Revision: 634123
- new version 4.0.6

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 4.0.5-2mdv2011.0
+ Revision: 604400
- rebuild for new exiv2

* Thu Nov 18 2010 Funda Wang <fwang@mandriva.org> 4.0.5-1mdv2011.0
+ Revision: 598556
- update to new version 4.0.5

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 4.0.4-2mdv2011.0
+ Revision: 565555
- rebuild for new exiv2

* Sat Jul 17 2010 Funda Wang <fwang@mandriva.org> 4.0.4-1mdv2011.0
+ Revision: 554501
- update to new version 4.0.4

* Thu Dec 31 2009 Funda Wang <fwang@mandriva.org> 4.0.3-2mdv2010.1
+ Revision: 484308
- rebuild for new exiv

* Mon Dec 28 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.3-1mdv2010.1
+ Revision: 482916
- update to new version 4.0.3

* Sat Dec 05 2009 Funda Wang <fwang@mandriva.org> 4.0.2-1mdv2010.1
+ Revision: 473663
- new version 4.0.2

* Thu Nov 12 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.0.1-2mdv2010.1
+ Revision: 465245
- Rebuild against new Qt

* Mon Nov 09 2009 Funda Wang <fwang@mandriva.org> 4.0.1-1mdv2010.1
+ Revision: 463298
- update to new version 4.0.1

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 4.0.0-1mdv2010.0
+ Revision: 448401
- Fix build on x86_64 by disabling parallel build

  + Funda Wang <fwang@mandriva.org>
    - New version 4.0.0

* Tue Jun 02 2009 Funda Wang <fwang@mandriva.org> 3.9.3-1mdv2010.0
+ Revision: 382128
- BR exiv
- New version 3.9.3

* Wed May 13 2009 Funda Wang <fwang@mandriva.org> 3.9.2-2mdv2010.0
+ Revision: 375220
- add svn patch fix services

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 3.9.2-1mdv2009.1
+ Revision: 291877
- New version 3.9.2

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 3.9.1-1mdv2009.0
+ Revision: 232239
- New version 3.9.1 (kde4 version)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - more proper fix for qt3 lib path
    - use %%configure2_5x macro

* Thu Apr 19 2007 Anssi Hannula <anssi@mandriva.org> 1mdv2008.0-current
+ Revision: 14960
- remove lib64 build hack (fixes build on lib64)
- do not wrongly override QTDIR (fixes build)

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New version 3.0.14
    - Kill all debian menu style
    - Import krename



* Sun Jul 02 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.11-3mdv2007.0
- Rebuild for new extension and menu
- Use macros for icons

* Fri May 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 3.0.11-2mdk
- build with automake1.8

* Tue Mar 21 2006 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.11-1mdk
- New release 3.0.11

* Thu Jan 12 2006 Laurent MONTEL <lmontel@mandriva.com> 3.0.10-1
- 3.0.10

* Mon Dec 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.9-2mdk
- Fix Buildrequires
- Fix Build
- Remove redundant buildrequires

* Wed Oct 19 2005 Lenny Cartier <lenny@mandriva.com> 3.0.9-1mdk
- 3.0.9

* Mon Sep 26 2005 Nicolas Lécureuil <neoclust@mandriva.org> 3.0.8-1mdk
- New release 3.0.8
- Fix some redundant BuildRequires

* Fri Jul 08 2005 Laurent MONTEL <lmontel@mandriva.com> 3.0.6-2
- Rebuild 

* Tue Jun 21 2005 Lenny Cartier <lenny@mandriva.com> 3.0.6-1mdk
- 3.0.6

* Mon May 23 2005 Sebastien Savarin <plouf@mandriva.org> 3.0.5-2mdk
- Suppression of the ugly patch

* Mon May 23 2005 Sebastien Savarin <plouf@mandriva.org> 3.0.5-1mdk
- New Release 3.0.5
- Fix build on amd64
- Use %%mkrel

* Thu Apr 21 2005 Laurent MONTEL <lmontel@mandriva.com> 3.0.4-1mdk
- 3.0.4

* Mon Feb 14 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-1mdk
- 3.0.3

* Tue Jan 25 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-0.rc2.2mdk
- Add patch1: don't rename device (it's not autorize)

* Fri Jan 07 2005 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-0.rc2.1mdk
- rc2

* Wed Dec 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.3-0.rc1.1mdk
- 3.0.3rc1

* Mon Aug 09 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.0.2-1mdk
- 3.0.2

* Thu Jul 22 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.1-1mdk
- 3.0.1

* Wed Jun 30 2004  Lenny Cartier <lenny@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Fri Jun 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.2mdk
- REbuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-0.rc1.1mdk
- 3.0.0rc1

* Wed Apr 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.9.4-1mdk
- 2.9.4

* Wed Jan 14 2004 Lenny Cartier <lenny@mandrakesoft.com> 2.8.5-1mdk
- really update to 2.8.5
- fix changelog

* Thu Jan 08 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.8.5-1mdk
- 2.8.5

* Fri Dec 12 2003 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 2.8.4-1mdk
- 2.8.4
- fix buildrequires (lib64..)
- --enable-final

* Thu Oct 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.3-2mdk
- fix hardcoded path

* Tue Oct 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.3-1mdk
- 2.8.3

* Wed Aug 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.8.2-1mdk
- 2.8.2

* Sun Jul 27 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.8.1-1mdk
- 2.8.1
- commented out --enable-final, won't compile for now

* Fri Jun 20 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.6.2-2mdk
- update url
- fix path to qt3 (lib64 issues..)
- --with-xinerama

* Sun May 11 2003 Laurent Culioli <laurent@pschit.net> 2.6.2-1mdk
- 2.6.2

* Tue Apr 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.5-1mdk
- 2.5.5

* Mon Mar 17 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.5.4-2mdk
- fix buildrequires

* Fri Mar 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.5.4-1mdk
- 2.5.4
- added some docs

* Fri Mar 14 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.5.3-3mdk
- hot dangedydang, even more missing BuildRequires

* Tue Mar 11 2003 Per Øyvind Karlsen <peroyvind@sintrax.net> 2.5.3-2mdk
- add missing BuildRequires
- .spec cleanups

* Sun Feb 16 2003 Laurent Culioli <laurent@pschit.net> 2.5.3-1mdk
- 2.5.3

* Wed Feb 12 2003 Laurent Culioli <laurent@pschit.net> 2.5.1-1mdk
- 2.5.1
- drop patch0 & 1

* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 2.4.1-2mdk
- rebuild

* Tue Nov 12 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4.1-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- 2.4.1
	- Patch #0 updated
	- Fixed deprecated headers with Patch #1

* Mon Oct 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.4-1mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Initial release
